Bug 1467543 - Suggest how to recognize the time when self-heal is triggered by using events
Suggest how to recognize the time when self-heal is triggered by using events
Status: POST
Product: GlusterFS
Classification: Community
Component: selfheal (Show other bugs)
mainline
All Linux
unspecified Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 03:41 EDT by alghost
Modified: 2017-07-20 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: events, afr Reason: Cannnot recognize the time when heal is triggered. Result: events are triggered when heal is raised
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file to raise events when heal is triggered (2.16 KB, patch)
2017-07-04 03:41 EDT, alghost
no flags Details | Diff
heal_events.patch (6.79 KB, patch)
2017-07-06 01:50 EDT, alghost
no flags Details | Diff

  None (edit)
Description alghost 2017-07-04 03:41:34 EDT
Created attachment 1294101 [details]
patch file to raise events when heal is triggered

Description of problem:

I cannot recognize the time when heal is triggered.

I'm sure that performance is affected by heal.

So administrators have to know whether the volume is being healed or not.

Event is one of the best way how to recognize it, I think.

So I want you to consider adding gf_event(...) into afr xlator like the patch attached


Version-Release number of selected component (if applicable): 
3.9, 3.10 and mainline


How reproducible:
nothing

Steps to Reproduce:
nothing

Actual results:
nothing

Expected results:
nothing

Additional info:
nothing
Comment 1 alghost 2017-07-06 01:50 EDT
Created attachment 1294822 [details]
heal_events.patch

Add more events to know how files are healed.

It try to raise the event every 10 seconds at least.

if a file which is being healed is taken for longer than 10 secs, It should wait until the file is healed.
Comment 2 Worker Ant 2017-07-06 03:46:37 EDT
REVIEW: https://review.gluster.org/17712 (heal, event: raise events for heal) posted (#1) for review on master by Taehwa Lee (alghost.lee@gmail.com)
Comment 3 Worker Ant 2017-07-07 00:58:33 EDT
REVIEW: https://review.gluster.org/17712 (heal, event: raise events for heal) posted (#2) for review on master by Taehwa Lee (alghost.lee@gmail.com)
Comment 4 Worker Ant 2017-07-20 20:59:03 EDT
REVIEW: https://review.gluster.org/17712 (heal, event: raise events for heal) posted (#3) for review on master by Taehwa Lee (alghost.lee@gmail.com)
Comment 5 Worker Ant 2017-07-20 21:20:58 EDT
REVIEW: https://review.gluster.org/17712 (heal, event: raise events for heal) posted (#4) for review on master by Taehwa Lee (alghost.lee@gmail.com)

Note You need to log in before you can comment on or make changes to this bug.